package structs

import (
	"time"
)

type Picture struct {
	UserId      string
	PictureId   string
	Url         string
	Likes       int
	Location    string
	Description string
	CreatedAt   time.Time
}

// user profile view pictures
type APIPicture struct {
	UserId    string
	PictureId string
	Url       string
}

// home screen
type APIPictureList struct {
	UserId      string
	PictureId   string
	Url         string
	Likes       int
	Location    string
	Description string
	Liked       int
	AvatarUrl   string
	CreatedAt   time.Time
}
